Skip to main content
GET
/
v1
/
providers
/
{id}
Retrieve a data provider
curl --request GET \
  --url https://prod.truv.com/v1/providers/{id}/ \
  --header 'X-Access-Client-Id: <api-key>' \
  --header 'X-Access-Secret: <api-key>'
{
  "id": "adp",
  "name": "ADP",
  "data_source": "payroll",
  "logo_url": "https://cdn.truv.com/providers/adp.svg",
  "is_disabled": false,
  "success_rate": "high",
  "is_oauth": false,
  "url": "https://www.adp.com/"
}

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Path Parameters

id
string
required

A unique value identifying this data provider.

Query Parameters

product_type
enum<string>

Product type

Available options:
income,
employment,
deposit_switch,
pll,
insurance,
transactions,
assets,
admin

Response

id
string
required

ID of provider

Example:

"adp"

name
string
required

Data provider name

Example:

"ADP"

data_source
enum<string>

Source of data: payroll - payroll provider parsing, docs - user uploaded documents, insurance - insurance data, financial_accounts - bank data, tax - tax documents, scoring_attributes - transactions scoring attributes report.

Available options:
payroll,
docs,
insurance,
financial_accounts,
tax,
scoring_attributes
Example:

"payroll"

logo_url
string<uri>

Data provider logo URL

Example:

"https://cdn.truv.com/providers/adp.svg"

is_disabled
boolean

True if product type for the query parameter product_type not implemented for the provider yet. If product_type query parameter is omitted the field will be null.

Example:

false

success_rate
enum<string> | null

Success rate for the provider

Available options:
low,
high,
unsupported,
null
Example:

"high"

is_oauth
boolean

Whether the provider has OAuth authentication enabled.

Example:

false

url
string<uri>

The provider's website URL.

Example:

"https://www.adp.com/"